<link rel='stylesheet' href='https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css'>
<link rel='stylesheet' href='https://cdn.datatables.net/responsive/2.2.3/css/responsive.dataTables.min.css'>
<link rel='stylesheet' href='https://cdn.jsdelivr.net/npm/boxicons@2.0.0/css/boxicons.min.css'>
<style type="text/css">
 .dataTables_paginate.paging_simple_numbers, .dataTables_paginate .pagination {
    margin-top: 0px !important;
    float: right;
}
.table {
  border-spacing: 0 0.85rem !important;
}

.table .dropdown {
  display: inline-block;
}

.table td,
.table th {
  vertical-align: middle;
  margin-bottom: 10px;
  border: none;
}

.table thead tr,
.table thead th {
  border: none;
  /*font-size: 12px;*/
  letter-spacing: 1px;
  text-transform: uppercase;
  background: transparent;
}

.table td {
  vertical-align: middle;
  background: #fff;
}

/*.table td:first-child {
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

.table td:last-child {
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}*/

.avatar {
  width: 2.75rem;
  height: 2.75rem;
  line-height: 3rem;
  border-radius: 50%;
  display: inline-block;
  background: transparent;
  position: relative;
  text-align: center;
  color: #868e96;
  font-weight: 700;
  vertical-align: bottom;
  /*font-size: 1rem;*/
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.avatar-sm {
  width: 2.5rem;
  height: 2.5rem;
  /*font-size: 0.83333rem;*/
  line-height: 1.5;
}

.avatar-img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.avatar-blue {
  background-color: #c8d9f1;
  color: #467fcf;
}

table.dataTable.dtr-inline.collapsed
  > tbody
  > tr[role="row"]
  > td:first-child:before,
table.dataTable.dtr-inline.collapsed
  > tbody
  > tr[role="row"]
  > th:first-child:before {
  top: 28px;
  left: 14px;
  border: none;
  box-shadow: none;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child,
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child {
  padding-left: 48px;
}

table.dataTable > tbody > tr.child ul.dtr-details {
  width: 100%;
}

table.dataTable > tbody > tr.child span.dtr-title {
  min-width: 50%;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.child,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.child,
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dataTables_empty {
  padding: 0.75rem 1rem 0.125rem;
}

div.dataTables_wrapper div.dataTables_length label,
div.dataTables_wrapper div.dataTables_filter label {
  margin-bottom: 0;
}

@media (max-width: 767px) {
  div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    -ms-flex-pack: center !important;
    justify-content: center !important;
    margin-top: 1rem;
  }
}

.btn-icon {
  background: #fff;
}
.btn-icon .bx {
  /*font-size: 20px;*/
}

.btn .bx {
  vertical-align: middle;
  /*font-size: 24px;*/
}

.dropdown-menu {
  padding: 0.25rem 0;
}

.dropdown-item {
  padding: 0.5rem 1rem;
}

.badge {
  padding: 0.5em 0.75em;
}

.badge-success-alt {
  background-color: #607EAA;
  color: #F9F5EB;
}

.table a {
  color: white;
}

.table a:hover,
.table a:focus {
  text-decoration: none;
}

table.dataTable {
  margin-top: 12px !important;
}

.icon > .bx {
  display: block;
  min-width: 1.5em;
  min-height: 1.5em;
  text-align: center;
  /*font-size: 1.0625rem;*/
}

.btn {
  /*font-size: 0.9375rem;*/
  font-weight: 500;
  padding: 0.5rem 0.75rem;
}

.avatar-blue {
      background-color: white;
      color: #467fcf;
    }

    .avatar-pink {
      background-color: white;
      color: #f66d9b;
    }
</style>
<script src='https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.19/js/jquery.dataTables.min.js'></script>
<script src='https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js'></script>
<script src='https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js'></script>
<script>
   $(document).ready(function() {
  $("#example").DataTable({
    aaSorting: [],
    responsive: true,

    columnDefs: [
      {
        responsivePriority: 1,
        targets: 0
      },
      {
        responsivePriority: 2,
        targets: -1
      }
    ]
  });

  $(".dataTables_filter input")
    .attr("placeholder", "Cari Data...")
    .css({
      width: "300px",
      display: "inline-block"
    });

  $('[data-toggle="tooltip"]').tooltip();
});
</script>
<script src="<?= BASE_ASSET; ?>/js/jquery.hotkeys.js"></script>

<script type="text/javascript">
//This page is a result of an autogenerated content made by running test.html with firefox.
function domo(){
 
   // Binding keys
   $('*').bind('keydown', 'Ctrl+a', function assets() {
       window.location.href = BASE_URL + '/administrator/Asn_talenta/add';
       return false;
   });

   $('*').bind('keydown', 'Ctrl+f', function assets() {
       $('#sbtn').trigger('click');
       return false;
   });

   $('*').bind('keydown', 'Ctrl+x', function assets() {
       $('#reset').trigger('click');
       return false;
   });

   $('*').bind('keydown', 'Ctrl+b', function assets() {

       $('#reset').trigger('click');
       return false;
   });
}

jQuery(document).ready(domo);
</script>
<!-- Content Header (Page header) -->
<section class="content-header">
   <h1>
      <?= cclang('asn_talenta') ?><small><?= cclang('list_all'); ?></small>
   </h1>
   <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active"><?= cclang('asn_talenta') ?></li>
   </ol>
</section>
<!-- Main content -->
<section class="content">
   <div class="row" >
      
      <div class="col-md-12">
         <div class="box box-warning">
            <div class="box-body ">
               <!-- Widget: user widget style 1 -->
               <div class="box box-widget widget-user-2">
                  <!-- Add the bg color to the header using any of the bg-* classes -->
                  <div class="widget-user-header ">
                     <div class="row pull-right">
                        <?php is_allowed('asn_talenta_add', function(){?>
                        <a class="btn btn-flat btn-success btn_add_new" id="btn_add_new" title="<?= cclang('add_new_button', [cclang('asn_talenta')]); ?>  (Ctrl+a)" href="<?=  site_url('administrator/asn_talenta/add'); ?>"><i class="fa fa-plus-square-o" ></i> <?= cclang('add_new_button', [cclang('asn_talenta')]); ?></a>
                        <?php }) ?>
                        <?php is_allowed('asn_talenta_export', function(){?>
                        <a class="btn btn-flat btn-success" title="<?= cclang('export'); ?> <?= cclang('asn_talenta') ?> " href="<?= site_url('administrator/asn_talenta/export?q='.$this->input->get('q').'&f='.$this->input->get('f')); ?>"><i class="fa fa-file-excel-o" ></i> <?= cclang('export'); ?> XLS</a>
                        <?php }) ?>
                                             </div>
                     <div class="widget-user-image">
                        <img class="img-circle" src="<?= BASE_ASSET; ?>/img/list.png" alt="User Avatar">
                     </div>
                     <!-- /.widget-user-image -->
                     <h3 class="widget-user-username"><?= cclang('asn_talenta') ?></h3>
                  </div>
               </div>
               <hr>
             
            </div>
          </div>
        </div>
        <div class="col-md-12">
         <div class="box box-warning">
            <div class="box-body">
               <table id="example" class="table table-hover responsive " style="width:100%;overflow-x:scroll">
                 <thead>
                   <tr style="background-color: #495057;color: white;">
                     <th style="width: 2%;">No.</th>
                     <th>Nama OPD</th>
                     <th style="width: 10%;">Aksi</th>
                   </tr>
                 </thead>
                 <tbody>
                  <?php $i=0;foreach ($list_opd as $key => $value) { $i++; ?>
                    <?php if($i%2 == 1) { ?>
                     <tr style="background-color: #f5e9f2;">
                        <td style="background-color:#ffd4f4;vertical-align: middle;">
                          <a href="#">
                            <div class="d-flex align-items-center">
                              <div class="avatar avatar-blue mr-3" style="color:#ffd4f4"><?= $i ?></div>
                            </div>
                          </a>
                        </td>
                        <td style="background-color: transparent;vertical-align: middle;">
                          <div class="badge badge-success badge-success-alt"><?= $value->nama ?></div>
                        </td>
                    <?php } else { ?>
                     <tr style="background-color: #e0d2ff;">
                     <td style="background-color:#b99cf9;vertical-align: middle;">
                       <a href="#">
                         <div class="d-flex align-items-center">
                           <div class="avatar avatar-blue mr-3" style="color:#b99cf9"><?= $i ?></div>
                         </div>
                       </a>
                     </td>
                     <td style="background-color: transparent;vertical-align: middle;">
                       <div class="badge badge-success badge-success-alt"><?= $value->nama ?></div>
                     </td>
                    <?php } ?>
                     <td style="background-color:white;color: white; vertical-align: middle;">
                       <a href="<?= base_url('administrator/asn_talenta/list_pegawai/').$value->kode ?>" class="kualitatif btn" style="background-color: #1C3879;color: #F9F5EB;" data-toggle="tooltip" data-placement="top" title="List Pegawai <?= ucwords(strtolower($value->nama)) ?>" id="<?= $value->kode ?>"><i class="fa fa-users"></i></a>
                     </td>
                       
                    </tr>
                  <?php } ?>
                 </tbody>
               </table>
            </div>            
            <!--/box body -->
         </div>
         <!--/box -->
      </div>
   </div>
</section>
<!-- /.content -->

<!-- Page script -->
